package genx.listas;

import java.io.*;

import genx.modelo.*;

/**
 * <p>Title: GenX</p>
 *
 * <p>Description: Aplicao que permite gerir rvores genealgicas</p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: 4thFloor</p>
 *
 * @author Srgio Lopes, Ruben Pedro
 * @version 1.0
 */
public class ComparacaoPessoasNome implements Comparacao, Serializable {

    public int comparar(Object o1, Object o2) {
        if (o1 == o2)
            return 0;

        if (o1 instanceof Pessoa && o2 instanceof Pessoa)
            return ((Pessoa) o1).getNome().compareTo(((Pessoa) o2).getNome());

        throw ERRO_COMPARACAO;
    }

}
