package genx.listas;

/**
* Programao IV (C) 2001
* Interface que descreve o funcionamento de um iterador simples.
*
* @author J. Magno e V. Carreira
* @version 1.0
*/
public interface Iterador  {
        /**	Excepo propagada quando se acede a elemento invlido.   */
        public static final java.util.NoSuchElementException
                 ELEMENTO_INVALIDO = new java.util.NoSuchElementException();

        /**	Verifica se pode avancar para o proximo elemento.
                @return true caso ainda existam elementos a percorrer;
                false caso contrrio	*/
        public boolean podeAvancar( );

        /**	Devolve o prximo elemento.
                Caso no exista lana a excepo ELEMENTO_INVALIDO
                @return o prximo elemento   */
        public Object avancar( );

        /**	Coloca o iterador no n inicial da lista   */
        public void reiniciar( );

        /**	Devolve o elemento actual.
                Caso no exista lana a excepo ELEMENTO_INVALIDO
                @return o elemento actual   */
        public Object corrente( );
}
